/* output code to test for integer */!!

inherit(CLITypeTestNode, #CLITypeIntegerNode, nil, 2, nil)!!

now(class(CLITypeIntegerNode))!!

now(CLITypeIntegerNode)!!

/* Compile the node into Actor source.
   Output results if this is a stand-alone expression. */
Def CLICodeCompile(self | temp)
{
  temp := expressionEcho(getExecutionEngine(CLIExecEngine));
  CLICodeCompile("setCliStatusLogical(self, ");
  if temp
  then
    CLICodeCompile("displayLogical(self, ");
  endif;
  CLICodeCompile("testInteger(self, getRValue(self, "+doubleQuoteString(CLIUtilities));
  CLICodeCompile(value);
  CLICodeCompile(doubleQuoteString(CLIUtilities)+"))");
  if temp
  then
    CLICodeCompile(")");
  endif;
  CLICodeCompile(") ");
}!!
